package top.r3944realms.lib39.content.item;

import net.minecraft.client.renderer.BlockEntityWithoutLevelRenderer;
import net.minecraftforge.client.extensions.common.IClientItemExtensions;
import org.jetbrains.annotations.NotNull;
import top.r3944realms.lib39.client.renderer.item.DollItemRenderer;

import java.util.function.Consumer;

/**
 * The type Forge doll item.
 */
public class ForgeDollItem extends DollItem {
    /**
     * Instantiates a new Forge doll item.
     *
     * @param properties the properties
     */
    public ForgeDollItem(Properties properties) {
        super(properties);
    }

    @Override
    public void initializeClient(@NotNull Consumer<IClientItemExtensions> consumer) {
        consumer.accept(new IClientItemExtensions() {
            @Override
            public BlockEntityWithoutLevelRenderer getCustomRenderer() {
                return DollItemRenderer.getInstance();
            }
        });
    }
}
